Page MenuHomePhabricator

WikiEditor shown on JS pages in MediaWiki
Closed, ResolvedPublic

Description

WikiEditor is not shown when you try to edit a user JS page; however, if you try to edit JS page in MediaWiki namespace (such as MediaWiki:Common.js or a Gadget JS page), the editor is shown which makes code editing hard.

Same applies for CSS pages.


Version: unspecified
Severity: enhancement

Details

Reference
bz24713

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz24713.
bzimport added a subscriber: Unknown Object (MLST).
Huji created this task.Aug 7 2010, 6:46 PM

At least for me, the toolbar is displayed on both [[MediaWiki:Page.js]] and [[User:Name/common.js]] (as expected, since this allow me to use edit tools/buttons when writing scripts)

WikiEditor appears to load correctly as expected on both user JS and site JS pages on live en.wikipedia.org and my local trunk testing last I looked.

(Note that the CodeEditor extension/gadget adds syntax highlighting for JS and CSS pages within WikiEditor, so you probably don't want to arbitrarily remove it!)

Huji added a comment.Jun 17 2011, 3:18 PM

Works for me now as well (tried on Test Wikipedia). I wonder if someone fixed it somewhere down the road.

(In reply to comment #3)

Works for me now as well (tried on Test Wikipedia). I wonder if someone fixed
it somewhere down the road.

Maybe you was trying to use the old toolbar, which indeed doesn't show up on .js/.css pages? See bug 29908.

Change 141296 had a related patch set uploaded by TheDJ:
Only add WikiEditor for content model WikiText

https://gerrit.wikimedia.org/r/141296

Change 141296 merged by jenkins-bot:
Only add WikiEditor for content model WikiText

https://gerrit.wikimedia.org/r/141296

  • This bug has been marked as a duplicate of bug 24041 ***
GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:33 AM